using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.OG;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 资质情况表
    /// </summary>
    [Description("资质情况表")]
    public class T_OG_RELATED_QUALIFICATION : MesEntityBase
    {
        /// <summary>
        /// 相关方基本信息表ID
        /// </summary>
        [Description("相关方基本信息表")]
        [DataFieldForeignKey("Nav_Related", "Nav_Qualifications")]
        public Guid RELATED_ID { get; set; }

        /// <summary>
        /// 导航：相关方基本信息表
        /// </summary>
        [Description("导航：相关方基本信息表")]
        public T_OG_RELATED Nav_Related { get; set; }        
        /// <summary>
        /// 资质等级ID
        /// </summary>
        [Description("资质等级")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Level")]
        public Guid LEVEL_ID { get; set; }

        /// <summary>
        /// 导航：资质等级
        /// </summary>
        [Description("导航：资质等级")]
        public T_OG_RELATED_QUALIFICATION_LEVEL Nav_Level { get; set; }

        /// <summary>
        /// 导航：资质录入
        /// </summary>
        [Description("导航：资质录入")]
        public ICollection<T_OG_RELATED_QUALIFICATION_DETAIL> Nav_Details { get; set; }
    }
}
